All Apps and Add-ons

Has anyone set up the Add-on for Postgres for EntDB?

Path Finder

Has anyone setup the Postgres App for EntDB and willing to share what they did?

0 Karma
1 Solution

Path Finder

we were able to compile psycopg2 and add this to the stand alone 2.7 python and push this out using the deployment server to the forwarder.
Just wish the universal forwarder would include a self contained python (please splunk)

View solution in original post

0 Karma

New Member

Do you have updated Postgres App for Splunk Versions 7.0.5? I see it is compatible for version 6.0, 5.0.
Can this app be used for 7.0.5?

0 Karma

SplunkTrust
SplunkTrust

@dhanabalan13 This thread is more than 4 years old and has an accepted answer. It's unlikely anyone will respond to your query. You should post a new question.

---
If this reply helps you, an upvote would be appreciated.
0 Karma

Path Finder

we were able to compile psycopg2 and add this to the stand alone 2.7 python and push this out using the deployment server to the forwarder.
Just wish the universal forwarder would include a self contained python (please splunk)

View solution in original post

0 Karma

Explorer

That's great! I agree that using builtin python would be much easier. Maybe then we would include python module in the Add-On so that it works out of the box.

0 Karma

Explorer

Hi Brendan,

It should work fine. Our Add-on depends mostly on psycopg2 python module to query database. If you manage to install it on your system and connect to your database so will the Add-on. This module can use standard postgres libraries available on most systems and is compatible in the scope of features Add-on for Postgres use (mostly sql queries).

If you have any problems please contact us - the more feedback we get the more features we can provide 🙂

Best Regards,

Tomasz Cholewa

Linuxpolska Splunk Development Team (splunk@linxupolska.com)

0 Karma

Path Finder

We are setting up splunk for monitoring postgres (well Enterprise DB)

As the OS is 2.6 python, we have created an app call python and push out 2.7 Python.
http://answers.splunk.com/answers/203218/errors-on-jmx-ta-using-splunk-universal-forwarders.html

I think we will have to add psycopg2 to this from the source so that we do not effect the os build.

Just wondered if you relied on the OS build of python 2.7 + psycopg2 or compiled to another location within the app.

Once got this working will post up on Splunk website.

0 Karma

New Member

Do you have updated Postgres App for Splunk Versions 7.0.5? I see it is compatible for version 6.0, 5.0.
Can this app be used for 7.0.5?

0 Karma